homeDir = 'Plugins/SimpleHome' -- Whitout / at the end!

function Initialize(Plugin)
	Plugin:SetName("SimpleHome")
	Plugin:SetVersion(1)
	PluginManager = cRoot:Get():GetPluginManager()
	PluginManager:BindCommand("/home","simplehome.home",HandleHomeCommand," - Go Home!")
	PluginManager:BindCommand("/sethome","simplehome.sethome",HandleSetHomeCommand," - Set your home!")
	PluginManager:BindCommand("/home2","simplehome.home2",HandleHome2Command," - Go Home!")
	PluginManager:BindCommand("/sethome2","simplehome.sethome2",HandleSetHome2Command," - Set your home!")
	cPluginManager:Get():AddHook(Plugin, cPluginManager.HOOK_PLAYER_JOINED)
	LOGINFO("Initialized " .. Plugin:GetName() .. " v." .. Plugin:GetVersion() .. " - By supertransformer")
	return true;
end

function HandleHomeCommand(Split, Player)
	goHome(Player)
	return true
end

function HandleSetHomeCommand(Split, Player)
	setHome(Player)
	return true
end

function OnPlayerJoined(Player)
	username = Player:GetName()
	LOGINFO("Player "..username.." joined!")
end

function goHome(Player)
		username = Player:GetName()
		LOGINFO('/home was executed by player '..username)
		coords = lines_from(homeDir..'/'..username..'.home')
		Player:SendMessage(cChatColor.Green .. 'Teleporting you to home...')
		Player:TeleportTo(coords[1], coords[2], coords[3])

		return true
end

function setHome(Player)
		username = Player:GetName()
		homeX = Player:GetPosX()
		homeY = Player:GetPosY()
		homeZ = Player:GetPosZ()
		LOGINFO('/sethome was executed by player '..username)
		local file = io.open(homeDir..'/'..username..'.home', "w")
		file:write(homeX..'\n'..homeY..'\n'..homeZ)
		file:close()
		Player:SendMessage(cChatColor.Green .. 'Home set! use /home to go home!')
		
	return true
end

function HandleHome2Command(Split, Player)
	goHome2(Player)
	return true
end

function HandleSetHome2Command(Split, Player)
	setHome2(Player)
	return true
end

function OnPlayerJoined(Player)
	username = Player:GetName()
	LOGINFO("Player "..username.." joined!")
end

function goHome2(Player)
		username = Player:GetName()
		LOGINFO('/home2 was executed by player '..username)
		coords = lines_from(homeDir..'/'..username..'.home2')
		Player:SendMessage(cChatColor.Green .. 'Teleporting to your second home...')
		Player:TeleportTo(coords[1], coords[2], coords[3])

		return true
end

function setHome2(Player)
		username = Player:GetName()
		homeX = Player:GetPosX()
		homeY = Player:GetPosY()
		homeZ = Player:GetPosZ()
		LOGINFO('/sethome2 was executed by player '..username)
		local file = io.open(homeDir..'/'..username..'.home2', "w")
		file:write(homeX..'\n'..homeY..'\n'..homeZ)
		file:close()
		Player:SendMessage(cChatColor.Green .. 'Home2 set! use /home2 to go home!')
		
	return true
end

function file_exists(file)
  local f = io.open(file, "rb")
  if f then f:close() end
  return f ~= nil
end

function lines_from(file)
  if not file_exists(file) then return {} end
  lines = {}
  for line in io.lines(file) do 
    lines[#lines + 1] = line
  end
  return lines
end